#include <iostream>

using namespace std;

int main()
{
    int n,k,u;
    int a[n];
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        if (a[i] ==k){
            u=i;
        }
    }

    if(u==n-1){
        cout<<a[0];
    }
    else{
        cout<<a[i+1];
    }
    return 0;
}